STRUCT TEMPLAT(3)

NAME
boost::date_time::uk_dst_trait - Alternative dst traits for some parts of the United Kingdom.

SYNOPSIS

// In header: <boost/date_time/local_timezone_defs.hpp>
template<typename date_type>
struct uk_dst_trait : public boost::date_time::eu_dst_trait< date_type > {
  // public static functions
  static int dst_start_offset_minutes();
  static int dst_end_offset_minutes();
  static int dst_shift_length_minutes();
};

DESCRIPTION

  uk_dst_trait public static functions

    1.

    static int dst_start_offset_minutes();

    2.

    static int dst_end_offset_minutes();

    3.

    static int dst_shift_length_minutes();